﻿using Xamarin.Forms;

namespace RealmFormsListViewSelectRepro
{
	public partial class App : Application
	{
		public App()
		{
			InitializeComponent();


			using (var realm = Realms.Realm.GetInstance()) {
				realm.Write(() => {
					realm.RemoveAll();

					realm.Add(new Monkey { Name = "Bob" });
					realm.Add(new Monkey { Name = "Joe" });
					realm.Add(new Monkey { Name = "Ted" });
					realm.Add(new Monkey { Name = "Bill" });
					realm.Add(new Monkey { Name = "Tom" });
					realm.Add(new Monkey { Name = "Jon" });
					realm.Add(new Monkey { Name = "Fred" });
					realm.Add(new Monkey { Name = "Ted" });
					realm.Add(new Monkey { Name = "Ned" });
					realm.Add(new Monkey { Name = "Jeb" });
					realm.Add(new Monkey { Name = "Sam" });
				});
			}
            

			MainPage = new NavigationPage(new MonkeysPage ());
		}

		protected override void OnStart()
		{
			// Handle when your app starts
		}

		protected override void OnSleep()
		{
			// Handle when your app sleeps
		}

		protected override void OnResume()
		{
			// Handle when your app resumes
		}
	}
}
